Package org.apache.sling.caconfig.spi

## Interface ConfigurationInjectResourceDetectionStrategy

    @ConsumerType
    public interface ConfigurationInjectResourceDetectionStrategy

Defines how to look up the current context resource to be used for getting the context-aware configurations for injecting into Sling Models or for Sling Scripting (BindingsValuesProvider).

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable org.apache.sling.api.resource.Resource` `detectResource​(@NotNull org.apache.sling.api.SlingHttpServletRequest request)` Detects the resource that is associated with the given request.

### Method Detail

#### detectResource

    @Nullable
    @Nullable org.apache.sling.api.resource.Resource detectResource​(@NotNull
                                                                    @NotNull org.apache.sling.api.SlingHttpServletRequest request)

Detects the resource that is associated with the given request.

Parameters:
  `request` - Sling request
Returns:
  Detected Resource or `null` if this strategy did not detect an applicable resources.